# $Revision: 1.25 $, $Date: 2004/07/04 00:18:51 $
#
# Conditional build:
#
%bcond_without	aalib	# without aalib output support
%bcond_without	ggi	# without ggi output support
%bcond_without	ncurses # without ncurses output support
%bcond_without	svga 	# without svga output support
#
Summary:	A fast, portable real-time interactive fractal zoomer
Summary(pl):	Szybki, przenony i interaktywny explorator fraktali
Name:		XaoS
Version:	3.1
%define	pre	pre5
Release:	0.%{pre}.3
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/xaos/%{name}-%{version}%{pre}.tar.gz
# Source0-md5:	904691517303d2bedddf33b3d68f97cc
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-nosuid.patch
Patch1:		%{name}-brokenasm.patch
Patch2:		%{name}-ggi-fix.patch
Patch3:		%{name}-svga-fix.patch
Patch4:		%{name}-info.patch
URL:		http://xaos.theory.org/
BuildRequires:	XFree86-devel
%{?with_aalib:BuildRequires:		aalib-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_ggi:BuildRequires:		libggi-devel}
BuildRequires:	libpng-devel
%{?with_ncurses:BuildRequires:	ncurses-devel}
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XaoS is a fast portable real-time interactive fractal zoomer. It
supports outputs such as X11, aalib, ncurses and SVGAlib. It displays
the Mandelbrot set (among other escape time fractals) and allows you
zoom smoothly into the fractal. Various coloring modes are provided
for both the points inside and outside the selected set. In addition,
switching between Julia and Mandelbrot fractal types is provided. The
first version was a poorly written Mandelbrot view by Thomas later
modified by Jan to support high frame-rate zooming. Other additions
were later made including autopilot (for those of you without drivers
licenses), palette changing, PNG saving, and fractal inversion.

%description -l pl
XaoS jest szybkim, przenonym i interaktywnym exploratorem fraktali.
Efekty jego dziaania mona oglda z uyciem drajwerw X11, aalib,
ncurses oraz SVGAlib. XaoS wywietla zbir Mandelbrota (i nie tylko) i
pozwala na pynne powikszanie/pomniejszanie widocznego zakresu.
Dostpne s rne rodzaje kolorowania dla punktw w wybranym zbiorze,
jak i poza nim. Dodatkowo, moliwe jest przeczanie midzy fraktalem
Mandelbrota, a odpowiadajcym mu fraktalem Julii (i w drug stron).
Pierwsza wersja (Tomasa) bya kiepsko napisanym wywietlaczem zbioru
Mandelbrota. Zostaa zmodyfikowana przez Jana aby umoliwia szybkie
powikszanie. Inne zmiany, zrobione pniej to autopilot, zmiana
palety, zapisywanie PNG i inwersja fraktali.

%prep
%setup -q -n %{name}-%{version}%{pre}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
LDFLAGS="%{rpmldflags} -L/usr/X11R6/%{_lib}"
%configure \
	--with-x \
	--with-x11-driver=yes \
	%{?with_aalib:	--with-aa-driver=no} \
	%{?with_ggi:	--with-ggi-driver=no} \
	%{?with_ncurses:--with-curses-driver=no} \
	%{?with_svga:	--with-svga-driver=no}

%{__make}

cd doc
makeinfo --no-split xaos.texinfo
makeinfo --no-split xaosdev.texinfo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_datadir}/locale/{hu,es,fr,cs,de}/LC_MESSAGES

%{__make} install \
	datadir=$RPM_BUILD_ROOT%{_datadir} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang xaos

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f xaos.lang
%defattr(644,root,root,755)
%doc TODO doc/{ANNOUNCE,AUTHORS,PROBLEMS,README{,.bugs,.ggi},SPONSORS}
%attr(755,root,root) %{_bindir}/xaos
%dir %{_datadir}/XaoS
%dir %{_datadir}/XaoS/catalogs
%lang(cs) %{_datadir}/XaoS/catalogs/cesky.cat
%lang(de) %{_datadir}/XaoS/catalogs/deutsch.cat
%{_datadir}/XaoS/catalogs/english.cat
%lang(es) %{_datadir}/XaoS/catalogs/espanhol.cat
%lang(fr) %{_datadir}/XaoS/catalogs/francais.cat
%lang(hu) %{_datadir}/XaoS/catalogs/magyar.cat
%{_datadir}/XaoS/examples
%{_datadir}/XaoS/help
%{_datadir}/XaoS/tutorial
%{_mandir}/man6/*
%{_infodir}/*.info*
%{_pixmapsdir}/XaoS.png
%{_desktopdir}/XaoS.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: XaoS.spec,v $
Revision 1.25  2004/07/04 00:18:51  havner
- applnk -> vfolders

Revision 1.24  2004/06/27 17:12:16  qboosh
- now we have svgalib on all supported archs

Revision 1.23  2004/01/17 20:30:16  qboosh
- one more fix in brokenasm patch (for cpus other than i586+); release .2

Revision 1.22  2004/01/17 20:09:23  qboosh
- pass -L for X to correctly detect DGA libs

Revision 1.21  2004/01/17 18:57:49  qboosh
- new-style bconds

Revision 1.20  2003/11/11 01:33:20  ankry
- caps unification, other cosmetics

Revision 1.19  2003/10/04 13:55:54  gotar
- unified bconds

Revision 1.18  2003/10/04 13:44:16  gotar
- unified bconds

Revision 1.17  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.16  2003/05/25 05:45:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/03/14 09:52:56  qboosh
- use http for sources on sourceforge

Revision 1.14  2003/01/28 23:36:02  qboosh
- added info patch, rebuild infos

Revision 1.13  2003/01/24 22:50:25  qboosh
- updated to 3.1pre5, fixed svga and ggi drivers, moved to /usr, cleanups

Revision 1.12  2002/12/23 11:44:08  qboosh
- updated URLs, new %%doc

Revision 1.11  2002/08/16 16:32:37  qboosh
- svgalib only on x86 and alpha

Revision 1.10  2002/06/11 16:43:12  emes
- added icon
- adapterized

Revision 1.9  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/03/05 18:16:30  filon
- typo

Revision 1.7  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/03 20:54:47  ankry
- adding es/pt/pt_BR Group translations

Revision 1.5  2002/01/18 02:12:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/11 15:04:03  qboosh
- BuildRequires: autoconf

Revision 1.3  2001/10/08 09:13:27  ankry
- typos

Revision 1.2  2001/09/13 07:17:30  filon
- polish description/summary
- cosmetics

Revision 1.1  2001/09/12 21:00:42  filon
- initial release, only patches from RH, rest by me, great program
